License Assignment Manager Remove Assigned License
Remove licenses associated with an entity
Remove licenses associated with an entity
Required privileges: Global.Licenses
Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/LicenseAssignmentManager/{moId}/RemoveAssignedLicense
COPY
Path Parameters
string
moId
Required
The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case LicenseAssignmentManager/{moId}.
string
release
Required
The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.
Request Body
RemoveAssignedLicenseRequestType
of type(s)
application/json
Required
{
"entityId": "string"
}
string
entityId
Required
ID of the entity. E.g. HostSystem.
Responses
204
No Content
Operation doesn't return any data structure
500
Failure
Returns
LicenseEntityNotFound
of type(s)
application/json
This response body class contains all of the following:
VimFault
{
"_typeName": "string",
"faultCause": {
"_typeName": "string",
"faultCause": "MethodFault Object",
"faultMessage": [
{
"_typeName": "string",
"key": "string",
"arg": [
{
"_typeName": "string",
"key": "string",
"value": {
"_typeName": "string"
}
}
],
"message": "string"
}
]
},
"faultMessage": [
{
"_typeName": "string",
"key": "string",
"arg": [
{
"_typeName": "string",
"key": "string",
"value": {
"_typeName": "string"
}
}
],
"message": "string"
}
],
"entityId": "string"
}
string
entityId
Required
entityId
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"entityId":"string"}' https://{api_host}/sdk/vim25/{release}/LicenseAssignmentManager/{moId}/RemoveAssignedLicense
On This Page
Virtual Infrastructure Operations
POST
License Assignment Manager Query Assigned Licenses
POST
License Assignment Manager Remove Assigned License
POST
License Assignment Manager Update Assigned License